Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.director.drools
Class DroolsScoreDirectorFactory

    java.lang.Object
      org.drools.planner.core.score.director.AbstractScoreDirectorFactory
          org.drools.planner.core.score.director.drools.DroolsScoreDirectorFactory

All Implemented Interfaces:
  ScoreDirectorFactory

    public class DroolsScoreDirectorFactory

extends AbstractScoreDirectorFactory

Drools implementation of `ScoreDirectorFactory`.

See Also:
  `DroolsScoreDirector`, `ScoreDirectorFactory`

Field Summary
`protected org.drools.RuleBase` | `ruleBase`

Fields inherited from class org.drools.planner.core.score.director.AbstractScoreDirectorFactory
`assertionScoreDirectorFactory, logger, scoreDefinition, solutionDescriptor`

Constructor Summary
`DroolsScoreDirectorFactory()`

Method Summary
`DroolsScoreDirector` | `buildScoreDirector()` Creates a new `ScoreDirector` instance.
`org.drools.RuleBase` | `getRuleBase()`
`void` | `setRuleBase(org.drools.RuleBase ruleBase)`

Methods inherited from class org.drools.planner.core.score.director.AbstractScoreDirectorFactory
`assertScore, getAssertionScoreDirectorFactory, getScoreDefinition, getSolutionDescriptor, setAssertionScoreDirectorFactory, setScoreDefinition, setSolutionDescriptor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ruleBase

    protected org.drools.RuleBase ruleBase

Constructor Detail

### DroolsScoreDirectorFactory

    public DroolsScoreDirectorFactory()

Method Detail

### getRuleBase

    public org.drools.RuleBase getRuleBase()

### setRuleBase

    public void setRuleBase(org.drools.RuleBase ruleBase)

### buildScoreDirector

    public DroolsScoreDirector buildScoreDirector()

  Description copied from interface: `ScoreDirectorFactory`
  Creates a new `ScoreDirector` instance.

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.